﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Drawing;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Colorbar colorbar = plot.AddColorbar(Colormap.Turbo);

            colorbar.AddTick(0   , "-123" );
            colorbar.AddTick(1   , "+123" );
            colorbar.AddTick(0.5 , "0"    );
            colorbar.AddTick(0.25, "-61.5");
            colorbar.AddTick(0.75, "+61.5");

            Text text = plot.AddText("색상바", 5, 0, 24, Color.Red);

            text.Alignment = Alignment.MiddleRight;

            plot.AddArrow(7, 0, 5, 0, color : Color.Red);

            plot.SetAxisLimits(-10, 10, -10, 10);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}